Subject: bug#20433: Keyboard not working on laptop with guixSD

From: [email-masked] (Ludovic Courtès)
Date: Wed, 13 Jan 2016 15:24:24 +0100

Jessica Tallon <[email-masked]> skribis:

> Sure, I have attached both the lsmod on trisquel where it does work and
> the lsmod in the guix 0.9 image where it doesn't. I did try and look
> what additional modules trisquel have to see if any stood out but none
> of them did.

The list of modules present and Trisquel and missing on GuixSD is:

--8<---------------cut here---------------start------------->8---
$ for i in $(cat trisquel-lsmod-macbook | cut -f1 -d ' ') ; do if ! grep -q $i guix-lsmod-macbook ; then echo $i ; fi ; done
joydev
ghash_clmulni_intel
dm_multipath
scsi_dh
snd_page_alloc
snd_seq_midi
snd_seq_midi_event
snd_rawmidi
snd_seq
snd_seq_device
parport_pc
ppdev
parport
squashfs
overlayfs
nls_utf8
isofs
nls_iso8859_1
raid10
raid456
async_raid6_recov
async_memcpy
async_pq
async_xor
async_tx
xor
raid6_pq
raid1
raid0
multipath
linear
dm_mirror
dm_region_hash
dm_log
--8<---------------cut here---------------end--------------->8---

However, I don’t see anything related to keyboards or human interface
devices.

> Let me know if there is any other debug info that would help.

Does “dmesg” on Trisquel show anything about the Apple keyboard?  Is
there anything similar on GuixSD?

Thanks for your help!

Ludo’.